<div class="quiz-container text-center" *ngIf="!isFinished">
  <div class="quiz-header">
    <div class="quiz-heading">
      Question
      <span class="bold">{{currentQuestionIndex + 1}}</span>/<span>{{listQuestion.length}}</span>
    </div>
  </div>
  <div class="question-area">
    <p class="">{{currentQuestion.question}}</p>
  </div>
  <div class="answer-area">
    <div class="button-group">
      <div class="answer-button" *ngFor="let answer of answers; let i = index"
        [ngClass]="{'correct': isCorrect && answerSelected === answer, 'incorrect': !isCorrect && answerSelected === answer}">
        <label [for]="'answer' + i" class="answer-text">
          <span>{{answer}}</span>
          <mat-icon *ngIf="answerSelected !== answer">
            radio_button_unchecked
          </mat-icon>
          <mat-icon *ngIf="isCorrect && answerSelected === answer" [ngClass]="{'correct': isCorrect}">
            check_circle
          </mat-icon>
          <mat-icon *ngIf="! isCorrect && answerSelected === answer"
            [ngClass]="{'incorrect': !isCorrect}">cancel</mat-icon>
        </label>
        <input [disabled]="answerSelected !== ''" type="radio" name="answers" [id]="'answer' + i" hidden
          [(ngModel)]="answerSelected" [value]="answer" (ngModelChange)="onSelect()">
      </div>
    </div>
  </div>
  <div class="action-area">
    <button [disabled]="answerSelected === ''" class="btn btn-long"
      *ngIf="currentQuestionIndex < listQuestion.length - 1" (click)="changeQuestion()">Next</button>

    <button [disabled]="answerSelected === ''" class="btn btn-long"
      *ngIf="currentQuestionIndex === listQuestion.length - 1" (click) = "onFinish()">Finish</button>

  </div>
</div>
